Solid Edge Geometry Type Library
GetEndPoints Method
Returns the start point of the referenced object.
Returns the end point of the referenced object.
Description
Returns the start and end points of the referenced object.
Syntax
Visual Basic
Public Sub GetEndPoints( _
   ByRef StartPoint() As Double, _
   ByRef EndPoint() As Double _
) 
Parameters
StartPoint
Returns the start point of the referenced object.
EndPoint
Returns the end point of the referenced object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeframework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objLoops As Object
    Dim objEdgeUse As solidedgegeometry.EdgeUse
    Dim dblStartPoint() As Double
    Dim dblEndPoint() As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    Call objDoc.Close
    ' opening the test case file
    Set objDoc = objApp.Documents.Open(TESTFILE)
    ' getting the collection of loops from the body object in the model
    Set objLoops = objDoc.Models(1).Body.Faces(FaceType:=igQueryAll).Item(2).Loops
    ' getting an EdgeUse object for a loop
    Set objEdgeUse = objLoops(1).EdgeUses.Item(4)
    ' getting the end points for an EdgeUse object
    Call objEdgeUse.GetEndPoints(StartPoint:=dblStartPoint, EndPoint:=dblEndPoint)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLoops = Nothing
    Set objEdgeUse = Nothing
End Sub
See Also

EdgeUse Object  | EdgeUse Members

Send comments on this topic.